## openblas 0.3.3+ds

=== debian/changelog ===
openblas (0.3.3+ds-1) unstable; urgency=medium

  * New upstream version 0.3.3+ds
  * Bump Standards-Version to 4.2.1

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 07 Sep 2018 16:32:43 +0200

openblas (0.3.2+ds-1) unstable; urgency=medium

  * New upstream version 0.3.2+ds
    + fixes regression that induced incorrect SVD computation
      (Closes: #903659)
  * Bump to debhelper compat level 11
  * Add Rules-Requires-Root: no
  * Bump S-V to 4.1.5

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 31 Jul 2018 18:28:12 +0200

openblas (0.3.1+ds-1) unstable; urgency=medium

  * New upstream version 0.3.1
    + cblas_* now take a void* for complex arrays (Closes: #877883)
  * d/copyright: reflect upstream changes
  * force-zarch.patch: remove patch, applied upstream
  * Compile with DYNAMIC_OLDER=1, for better support of old amd64 CPUs
  * Remove Built-Using field.
    Since both LAPACK and ATLAS are under BSD-3-clause, there is no reason to
    use this field (which is now restricted to license compliance issues).
  * d/rules: remove get-orig-source target.
  * Bump to S-V 4.1.4
  * Replace ADTTMP by AUTOPKGTEST_TMP in tests.
  * Ship *.md files in libopenblas-dev
  * Update Vcs-* fields for move to salsa

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 Jul 2018 10:53:01 +0200
