## openblas 0.3.5

=== debian/changelog ===
openblas (0.3.5-1.lnd.4) UNRELEASED; urgency=medium

  * Relese version to 0.3.5-1.lnd.4
  * 1. Fixed the issue of LAPACK test go into endless loop
  * 2. Transplant benchmark from openBLAS community

 -- jenkins <jenkins@loongson.cn>  Tue, 14 Jun 2022 11:24:58 +0800

openblas (0.3.5-1.lnd.1) unstable; urgency=medium

  * Update commit info

 -- Gu Xiwei <guxiwei-hf@loongson.cn>  Fri, 13 Aug 2021 10:28:31 +0100

openblas (0.3.5-1) unstable; urgency=medium

  * Add msa support for loongson.
  * Fixed msa bugs.
  * Add la support and scalar opt.

 -- Gu Xiwei <guxiwei-hf@loongson.cn>  Wed, 27 Jan 2021 10:28:31 +0100
