=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-exec,
                gfortran,
                liblapack-pic (>= 3.7.1-2~)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/openblas
 Vcs-Git: https://salsa.debian.org/science-team/openblas.git
 Homepage: https://github.com/xianyi/OpenBLAS
 Rules-Requires-Root: no
 
 Package: libopenblas-base
-Architecture: amd64 arm64 armhf i386 powerpc ppc64el ppc64 kfreebsd-i386 kfreebsd-amd64 mips64el sparc64 s390x
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el ppc64 kfreebsd-i386 kfreebsd-amd64 mips64el sparc64 s390x loongarch64
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
@@ -31,13 +31,13 @@
  Unlike Atlas, OpenBLAS provides a multiple architecture library.
  .
  All kernel will be included in the library and dynamically switched to
- the best architecture at run time (only on x86 arches).
+ the best architecture at run time (only on amd64, arm64 and i386).
  .
  For more information on how to rebuild locally OpenBLAS, see the section:
  "Building Optimized OpenBLAS Packages on your ARCH" in README.Debian
 
 Package: libopenblas-dev
-Architecture: amd64 arm64 armhf i386 powerpc ppc64el ppc64 kfreebsd-i386 kfreebsd-amd64 mips64el sparc64 s390x
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el ppc64 kfreebsd-i386 kfreebsd-amd64 mips64el sparc64 s390x loongarch64
 Multi-Arch: same
 Section: libdevel
 Depends: libopenblas-base (= ${binary:Version}),
@@ -54,7 +54,7 @@
  Unlike Atlas, OpenBLAS provides a multiple architecture library.
  .
  All kernel will be included in the library and dynamically switched to
- the best architecture at run time (only on x86 arches).
+ the best architecture at run time (only on amd64, arm64 and i386).
  .
  This package includes the static libraries and symbolic links
  needed for program development.
