=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 GENERIC_OPTIONS := NUM_THREADS=64
 
 # On x86 archs, enable dynamic arch selection
-ENABLE_DYNAMIC_ARCHS := amd64 i386 kfreebsd-amd64 kfreebsd-i386
+ENABLE_DYNAMIC_ARCHS := amd64 arm64 i386 kfreebsd-amd64 kfreebsd-i386
 ifneq (,$(findstring $(DEB_HOST_ARCH),$(ENABLE_DYNAMIC_ARCHS)))
 	GENERIC_OPTIONS += DYNAMIC_ARCH=1 DYNAMIC_OLDER=1
 endif
@@ -30,16 +30,16 @@
 	GENERIC_OPTIONS += TARGET=ARMV6
 endif
 
-ifeq ($(DEB_HOST_ARCH),arm64)
-	GENERIC_OPTIONS += TARGET=ARMV8
-endif
-
 ifeq ($(DEB_HOST_ARCH),powerpc)
 	GENERIC_OPTIONS += TARGET=PPCG4
 endif
 
 ifeq ($(DEB_HOST_ARCH),mips64el)
-	GENERIC_OPTIONS += TARGET=SICORTEX
+	GENERIC_OPTIONS += DYNAMIC_ARCH=1
+endif
+
+ifeq ($(DEB_HOST_ARCH),loongarch64)
+	GENERIC_OPTIONS += TARGET=LOONGSON3R5
 endif
 
 # POWER6 is the most generic arch that compiles on ppc64
